Bug 962563 - disable (for now) EFI-enabled roms
disable (for now) EFI-enabled roms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On: 983997 984008 984010
Blocks: 962564
  Show dependency treegraph
 
Reported: 2013-05-13 17:19 EDT by Paolo Bonzini
Modified: 2014-06-17 23:28 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.2-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 962564 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:55:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-05-13 17:19:09 EDT
The iPXE ROMs in RHEL7.0 should not include a UEFI driver; we do not ship OVMF and cannot support them.

This basically means reverting upstream commit c45e5b5b30ac1f5505725a7b36e68cedfce4f01f.
Comment 3 Miroslav Rezanina 2013-08-09 07:43:59 EDT
Fix included in qemu-kvm-1.5.2-3.el7
Comment 5 langfang 2014-02-21 05:37:56 EST
Hi Miroslav
   For the bug verification ,does it will be blocked by Bug 895959 - [Tracker] provide RHEL-specific machine types in QEMU.


thanks 
fang lang
Comment 6 Miroslav Rezanina 2014-02-21 05:48:47 EST
Hi Fang,
No this bz should not be blocke by machine types. Removing the dependency.
Comment 7 juzhang 2014-02-21 05:52:29 EST
Hi Paolo,

This issue has 2 bzs. One this against qemu-kvm component, the other is against ipxe component. Could you provide an efficient way for qe verify these 2 bzs both?

Best Regards,
Junyi
Comment 8 Paolo Bonzini 2014-02-21 06:45:25 EST
For iPXE, check that there are no efi-* files provided.

For qemu-kvm, normal PXE boot sanity check is enough (beware that macvtap is broken, use normal bridge).
Comment 9 juzhang 2014-02-23 20:42:13 EST
(In reply to Paolo Bonzini from comment #8)
> For iPXE, check that there are no efi-* files provided.
> 
> For qemu-kvm, normal PXE boot sanity check is enough (beware that macvtap is
> broken, use normal bridge).

Thanks Paolo.

Hi Flang,

Could you please verify these 2 bzs according to comment8?

Best Regards,
Junyi
Comment 10 langfang 2014-02-25 03:10:57 EST
Thanks for Paolo and juzhang

Verify this bug as follow version:

host:
# uname -r
3.10.0-88.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-48.el7.x86_64
# rpm -qa |grep ipxe
ipxe-roms-qemu-20130517-4.gitc4bce43.el7.noarch
ipxe-bootimgs-20130517-4.gitc4bce43.el7.noarch
ipxe-roms-20130517-4.gitc4bce43.el7.noarch

Senarios
1)Boot and install guest from ipxe(use e1000/rtl8139/virtio NIC)


Results:
Can be found the NIC and install successfully.


According to above test and comment8,we can verify this bug.
Comment 12 Ludek Smid 2014-06-13 08:55:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.